%undefine __libtoolize
%define qtdir %_qt3dir
%define kdedir %prefix
%define beta %nil
%define _optlevel s

Name: kicker-compiz
Version: 0.2
%define xver 3.5.4
Release: alt2

Group: Graphical desktop/KDE
Summary: Pager applet for kicker and compiz
URL: http://kde-apps.org/content/show.php?content=46021
License: GPL

Requires: kdelibs >= %{get_version kdelibs}

Source: kicker-compiz-%xver.tar.gz

#BuildRequires: xorg-x11-devel gcc-c++
#BuildRequires: libarts-devel libjpeg-devel libpng-devel
#BuildRequires: libqt3-devel libstdc++-devel xml-utils zlib-devel
#BuildRequires: kdelibs-devel

# Automatically added by buildreq on Fri Nov 03 2006
#BuildRequires: doxygen gcc-c++ gcc-fortran imake java-common kdebase-devel kdepim-devel libjpeg-devel libncurses-devel libpam-devel libXcomposite-devel libXcursor-devel libXt-devel libXtst-devel qt3-designer qt3-doc-html xml-utils xorg-cf-files
BuildRequires: doxygen gcc-c++ kdebase-devel kdepim-devel libjpeg-devel
BuildRequires: xorg-x11-devel xml-utils

%description
This is a modification of the pager applet for kicker to make it work with
compiz. More generally, it is intended to work with window managers that use
the concept of "large desktops" instead of "multiple virtual desktops" as kwin
does exclusively.

%prep
%setup -q -n %name-%xver

make -f admin/Makefile.common cvs ||:

%build
export QTDIR=%qtdir KDEDIR=%kdedir
%configure \
    --disable-static \
    --enable-shared \
    --enable-new-ldflags \
    --enable-gcc-hidden-visibility \
    --disable-rpath

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang --with-kde %name

%files -f %name.lang
%doc README TODO ChangeLog
%_libdir/kde3/compizpager_panelapplet.so
%_datadir/apps/kicker/applets/compizpagerapplet.desktop

%changelog
* Fri Nov 10 2006 Sergey V Turchin <zerg at altlinux dot org> 0.2-alt2
- fix requires

* Fri Nov 03 2006 Sergey V Turchin <zerg at altlinux dot org> 0.2-alt1
- initial specfile

